User Signup
POST
/auth/signup
const url = 'https://api.exolink.cloud/auth/signup';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"username":"user@example.com","givenName":"John","familyName":"Doe"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.exolink.cloud/auth/signup \ --header 'Content-Type: application/json' \ --data '{ "username": "user@example.com", "givenName": "John", "familyName": "Doe" }'Register a new user account
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
username
required
User’s email address
string format: email
Example
user@example.comgivenName
required
User’s first name
string
Example
JohnfamilyName
required
User’s last name
string
Example
DoeResponses
Section titled “Responses”User registered successfully